Skip to navigation

Get scan results

View as Markdown

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

scan_idstringRequired

Response

Successful response
versionstring
scanner version
scan_idstring
unique identifier for the scan
start_timedatetime
time the scan started
statusenum
status of the scan
Allowed values:
inventoryobject
summaryobject
A scan report without any file results.
file_countintegerDeprecated

number of files scanned; use .summary.file_count instead

files_with_detections_countintegerDeprecated

number of files with detections found; use .summary.files_with_detections_count instead

detection_countintegerDeprecated

number of detections found; use .summary.detection_count instead

has_genealogybooleanOptional
if there is model geneaology info available
$schema_versionstringOptional
version of the scan report schema format
end_timedatetimeOptional
time the scan ended
intelligenceobjectOptional
Intelligence metadata about a model including origin, licensing, and usage policies
complianceobjectOptionalRead-only
file_resultslist of objectsOptional
severityenumOptional

The highest severity of any detections on the scan, including “safe”. Use .summary.highest_severity instead.

detection_categorieslist of stringsOptionalDeprecated

list of detection categories found; use .summary.detection_categories instead

Errors

400
Bad Request Error
404
Not Found Error